メインコンテンツへスキップ
PUT
/
storage_policy_assignments
/
{storage_policy_assignment_id}
cURL
curl -i -X PUT "https://api.box.com/2.0/storage_policy_assignments/932483" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "storage_policy": {
         "type": "storage_policy",
         "id": "1434325"
       }
     }'
{
  "id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
  "type": "storage_policy_assignment",
  "storage_policy": {
    "id": "11446498",
    "type": "storage_policy"
  },
  "assigned_to": {
    "id": "11446498",
    "type": "file"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

storage_policy_assignment_id
string
必須

ストレージポリシー割り当てのID。

ボディ

application/json
storage_policy
object
必須

ユーザーまたは企業に割り当てるストレージポリシー。

レスポンス

更新されたストレージポリシー割り当てオブジェクトを返します。

ユーザーまたは企業へのストレージポリシーの割り当て。

id
string
必須

ストレージポリシー割り当ての一意の識別子。

:

"ZW50ZXJwcmlzZV8xMjM0NTY3ODkw"

type
enum<string>
必須

値は常にstorage_policy_assignmentになります。

利用可能なオプション:
storage_policy_assignment
:

"storage_policy_assignment"

storage_policy
ストレージポリシー (Mini) · object

割り当てられたストレージポリシー。

assigned_to
Reference · object

そのポリシーが割り当てられる企業またはユーザー。